initial commit
[ETG_Helmet] / SOFTWARE / UTILS / sshpass / src / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 bin_PROGRAMS = sshpass$(EXEEXT)
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40         depcomp install-sh missing
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46  configure.lineno config.status.lineno
47 mkinstalldirs = $(install_sh) -d
48 CONFIG_HEADER = config.h
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
52 PROGRAMS = $(bin_PROGRAMS)
53 am_sshpass_OBJECTS = main.$(OBJEXT)
54 sshpass_OBJECTS = $(am_sshpass_OBJECTS)
55 sshpass_LDADD = $(LDADD)
56 DEFAULT_INCLUDES = -I.@am__isrc@
57 depcomp = $(SHELL) $(top_srcdir)/depcomp
58 am__depfiles_maybe = depfiles
59 am__mv = mv -f
60 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
61         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
62 CCLD = $(CC)
63 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
64 SOURCES = $(sshpass_SOURCES)
65 DIST_SOURCES = $(sshpass_SOURCES)
66 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
67 am__vpath_adj = case $$p in \
68     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
69     *) f=$$p;; \
70   esac;
71 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
72 am__install_max = 40
73 am__nobase_strip_setup = \
74   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
75 am__nobase_strip = \
76   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
77 am__nobase_list = $(am__nobase_strip_setup); \
78   for p in $$list; do echo "$$p $$p"; done | \
79   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
80   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
81     if (++n[$$2] == $(am__install_max)) \
82       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
83     END { for (dir in files) print dir, files[dir] }'
84 am__base_list = \
85   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
86   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
87 man1dir = $(mandir)/man1
88 NROFF = nroff
89 MANS = $(man_MANS)
90 ETAGS = etags
91 CTAGS = ctags
92 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
93 distdir = $(PACKAGE)-$(VERSION)
94 top_distdir = $(distdir)
95 am__remove_distdir = \
96   { test ! -d "$(distdir)" \
97     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
98          && rm -fr "$(distdir)"; }; }
99 DIST_ARCHIVES = $(distdir).tar.gz
100 GZIP_ENV = --best
101 distuninstallcheck_listfiles = find . -type f -print
102 distcleancheck_listfiles = find . -type f -print
103 ACLOCAL = @ACLOCAL@
104 AMTAR = @AMTAR@
105 AUTOCONF = @AUTOCONF@
106 AUTOHEADER = @AUTOHEADER@
107 AUTOMAKE = @AUTOMAKE@
108 AWK = @AWK@
109 CC = @CC@
110 CCDEPMODE = @CCDEPMODE@
111 CFLAGS = @CFLAGS@
112 CPP = @CPP@
113 CPPFLAGS = @CPPFLAGS@
114 CYGPATH_W = @CYGPATH_W@
115 DEFS = @DEFS@
116 DEPDIR = @DEPDIR@
117 ECHO_C = @ECHO_C@
118 ECHO_N = @ECHO_N@
119 ECHO_T = @ECHO_T@
120 EGREP = @EGREP@
121 EXEEXT = @EXEEXT@
122 GREP = @GREP@
123 INSTALL = @INSTALL@
124 INSTALL_DATA = @INSTALL_DATA@
125 INSTALL_PROGRAM = @INSTALL_PROGRAM@
126 INSTALL_SCRIPT = @INSTALL_SCRIPT@
127 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
128 LDFLAGS = @LDFLAGS@
129 LIBOBJS = @LIBOBJS@
130 LIBS = @LIBS@
131 LTLIBOBJS = @LTLIBOBJS@
132 MAKEINFO = @MAKEINFO@
133 MKDIR_P = @MKDIR_P@
134 OBJEXT = @OBJEXT@
135 PACKAGE = @PACKAGE_NAME@
136 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
137 PACKAGE_NAME = @PACKAGE_NAME@
138 PACKAGE_STRING = @PACKAGE_STRING@
139 PACKAGE_TARNAME = @PACKAGE_TARNAME@
140 PACKAGE_URL = @PACKAGE_URL@
141 PACKAGE_VERSION = @PACKAGE_VERSION@
142 PATH_SEPARATOR = @PATH_SEPARATOR@
143 SET_MAKE = @SET_MAKE@
144 SHELL = @SHELL@
145 STRIP = @STRIP@
146 VERSION = @PACKAGE_VERSION@
147 abs_builddir = @abs_builddir@
148 abs_srcdir = @abs_srcdir@
149 abs_top_builddir = @abs_top_builddir@
150 abs_top_srcdir = @abs_top_srcdir@
151 ac_ct_CC = @ac_ct_CC@
152 am__include = @am__include@
153 am__leading_dot = @am__leading_dot@
154 am__quote = @am__quote@
155 am__tar = @am__tar@
156 am__untar = @am__untar@
157 bindir = @bindir@
158 build_alias = @build_alias@
159 builddir = @builddir@
160 datadir = @datadir@
161 datarootdir = @datarootdir@
162 docdir = @docdir@
163 dvidir = @dvidir@
164 exec_prefix = @exec_prefix@
165 host_alias = @host_alias@
166 htmldir = @htmldir@
167 includedir = @includedir@
168 infodir = @infodir@
169 install_sh = @install_sh@
170 libdir = @libdir@
171 libexecdir = @libexecdir@
172 localedir = @localedir@
173 localstatedir = @localstatedir@
174 mandir = @mandir@
175 mkdir_p = @mkdir_p@
176 oldincludedir = @oldincludedir@
177 pdfdir = @pdfdir@
178 prefix = @prefix@
179 program_transform_name = @program_transform_name@
180 psdir = @psdir@
181 sbindir = @sbindir@
182 sharedstatedir = @sharedstatedir@
183 srcdir = @srcdir@
184 sysconfdir = @sysconfdir@
185 target_alias = @target_alias@
186 top_build_prefix = @top_build_prefix@
187 top_builddir = @top_builddir@
188 top_srcdir = @top_srcdir@
189 man_MANS = sshpass.1
190 EXTRA_DIST = $(man_MANS)
191 sshpass_SOURCES = main.c
192 all: config.h
193         $(MAKE) $(AM_MAKEFLAGS) all-am
194
195 .SUFFIXES:
196 .SUFFIXES: .c .o .obj
197 am--refresh:
198         @:
199 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
200         @for dep in $?; do \
201           case '$(am__configure_deps)' in \
202             *$$dep*) \
203               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
204               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
205                 && exit 0; \
206               exit 1;; \
207           esac; \
208         done; \
209         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
210         $(am__cd) $(top_srcdir) && \
211           $(AUTOMAKE) --gnu Makefile
212 .PRECIOUS: Makefile
213 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
214         @case '$?' in \
215           *config.status*) \
216             echo ' $(SHELL) ./config.status'; \
217             $(SHELL) ./config.status;; \
218           *) \
219             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
220             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
221         esac;
222
223 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
224         $(SHELL) ./config.status --recheck
225
226 $(top_srcdir)/configure:  $(am__configure_deps)
227         $(am__cd) $(srcdir) && $(AUTOCONF)
228 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
229         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
230 $(am__aclocal_m4_deps):
231
232 config.h: stamp-h1
233         @if test ! -f $@; then \
234           rm -f stamp-h1; \
235           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
236         else :; fi
237
238 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
239         @rm -f stamp-h1
240         cd $(top_builddir) && $(SHELL) ./config.status config.h
241 $(srcdir)/config.h.in:  $(am__configure_deps) 
242         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
243         rm -f stamp-h1
244         touch $@
245
246 distclean-hdr:
247         -rm -f config.h stamp-h1
248 install-binPROGRAMS: $(bin_PROGRAMS)
249         @$(NORMAL_INSTALL)
250         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
251         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
252         for p in $$list; do echo "$$p $$p"; done | \
253         sed 's/$(EXEEXT)$$//' | \
254         while read p p1; do if test -f $$p; \
255           then echo "$$p"; echo "$$p"; else :; fi; \
256         done | \
257         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
258             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
259         sed 'N;N;N;s,\n, ,g' | \
260         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
261           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
262             if ($$2 == $$4) files[d] = files[d] " " $$1; \
263             else { print "f", $$3 "/" $$4, $$1; } } \
264           END { for (d in files) print "f", d, files[d] }' | \
265         while read type dir files; do \
266             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
267             test -z "$$files" || { \
268               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
269               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
270             } \
271         ; done
272
273 uninstall-binPROGRAMS:
274         @$(NORMAL_UNINSTALL)
275         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
276         files=`for p in $$list; do echo "$$p"; done | \
277           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
278               -e 's/$$/$(EXEEXT)/' `; \
279         test -n "$$list" || exit 0; \
280         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
281         cd "$(DESTDIR)$(bindir)" && rm -f $$files
282
283 clean-binPROGRAMS:
284         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
285 sshpass$(EXEEXT): $(sshpass_OBJECTS) $(sshpass_DEPENDENCIES) 
286         @rm -f sshpass$(EXEEXT)
287         $(LINK) $(sshpass_OBJECTS) $(sshpass_LDADD) $(LIBS)
288
289 mostlyclean-compile:
290         -rm -f *.$(OBJEXT)
291
292 distclean-compile:
293         -rm -f *.tab.c
294
295 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
296
297 .c.o:
298 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
299 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
300 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
301 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
302 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
303
304 .c.obj:
305 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
306 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
307 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
308 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
309 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
310 install-man1: $(man_MANS)
311         @$(NORMAL_INSTALL)
312         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
313         @list=''; test -n "$(man1dir)" || exit 0; \
314         { for i in $$list; do echo "$$i"; done; \
315         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
316           sed -n '/\.1[a-z]*$$/p'; \
317         } | while read p; do \
318           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
319           echo "$$d$$p"; echo "$$p"; \
320         done | \
321         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
322               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
323         sed 'N;N;s,\n, ,g' | { \
324         list=; while read file base inst; do \
325           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
326             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
327             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
328           fi; \
329         done; \
330         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
331         while read files; do \
332           test -z "$$files" || { \
333             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
334             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
335         done; }
336
337 uninstall-man1:
338         @$(NORMAL_UNINSTALL)
339         @list=''; test -n "$(man1dir)" || exit 0; \
340         files=`{ for i in $$list; do echo "$$i"; done; \
341         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
342           sed -n '/\.1[a-z]*$$/p'; \
343         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
344               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
345         test -z "$$files" || { \
346           echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
347           cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
348
349 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
350         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
351         unique=`for i in $$list; do \
352             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353           done | \
354           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
355               END { if (nonempty) { for (i in files) print i; }; }'`; \
356         mkid -fID $$unique
357 tags: TAGS
358
359 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
360                 $(TAGS_FILES) $(LISP)
361         set x; \
362         here=`pwd`; \
363         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
364         unique=`for i in $$list; do \
365             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366           done | \
367           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
368               END { if (nonempty) { for (i in files) print i; }; }'`; \
369         shift; \
370         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
371           test -n "$$unique" || unique=$$empty_fix; \
372           if test $$# -gt 0; then \
373             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
374               "$$@" $$unique; \
375           else \
376             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
377               $$unique; \
378           fi; \
379         fi
380 ctags: CTAGS
381 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
382                 $(TAGS_FILES) $(LISP)
383         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
384         unique=`for i in $$list; do \
385             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
386           done | \
387           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
388               END { if (nonempty) { for (i in files) print i; }; }'`; \
389         test -z "$(CTAGS_ARGS)$$unique" \
390           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
391              $$unique
392
393 GTAGS:
394         here=`$(am__cd) $(top_builddir) && pwd` \
395           && $(am__cd) $(top_srcdir) \
396           && gtags -i $(GTAGS_ARGS) "$$here"
397
398 distclean-tags:
399         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
400
401 distdir: $(DISTFILES)
402         @list='$(MANS)'; if test -n "$$list"; then \
403           list=`for p in $$list; do \
404             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
405             if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
406           if test -n "$$list" && \
407             grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
408             echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
409             grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
410             echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
411             echo "       typically \`make maintainer-clean' will remove them" >&2; \
412             exit 1; \
413           else :; fi; \
414         else :; fi
415         $(am__remove_distdir)
416         test -d "$(distdir)" || mkdir "$(distdir)"
417         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
418         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
419         list='$(DISTFILES)'; \
420           dist_files=`for file in $$list; do echo $$file; done | \
421           sed -e "s|^$$srcdirstrip/||;t" \
422               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
423         case $$dist_files in \
424           */*) $(MKDIR_P) `echo "$$dist_files" | \
425                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
426                            sort -u` ;; \
427         esac; \
428         for file in $$dist_files; do \
429           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
430           if test -d $$d/$$file; then \
431             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
432             if test -d "$(distdir)/$$file"; then \
433               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
434             fi; \
435             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
436               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
437               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
438             fi; \
439             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
440           else \
441             test -f "$(distdir)/$$file" \
442             || cp -p $$d/$$file "$(distdir)/$$file" \
443             || exit 1; \
444           fi; \
445         done
446         -test -n "$(am__skip_mode_fix)" \
447         || find "$(distdir)" -type d ! -perm -755 \
448                 -exec chmod u+rwx,go+rx {} \; -o \
449           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
450           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
451           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
452         || chmod -R a+r "$(distdir)"
453 dist-gzip: distdir
454         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
455         $(am__remove_distdir)
456
457 dist-bzip2: distdir
458         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
459         $(am__remove_distdir)
460
461 dist-lzma: distdir
462         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
463         $(am__remove_distdir)
464
465 dist-xz: distdir
466         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
467         $(am__remove_distdir)
468
469 dist-tarZ: distdir
470         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
471         $(am__remove_distdir)
472
473 dist-shar: distdir
474         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
475         $(am__remove_distdir)
476
477 dist-zip: distdir
478         -rm -f $(distdir).zip
479         zip -rq $(distdir).zip $(distdir)
480         $(am__remove_distdir)
481
482 dist dist-all: distdir
483         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
484         $(am__remove_distdir)
485
486 # This target untars the dist file and tries a VPATH configuration.  Then
487 # it guarantees that the distribution is self-contained by making another
488 # tarfile.
489 distcheck: dist
490         case '$(DIST_ARCHIVES)' in \
491         *.tar.gz*) \
492           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
493         *.tar.bz2*) \
494           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
495         *.tar.lzma*) \
496           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
497         *.tar.xz*) \
498           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
499         *.tar.Z*) \
500           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
501         *.shar.gz*) \
502           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
503         *.zip*) \
504           unzip $(distdir).zip ;;\
505         esac
506         chmod -R a-w $(distdir); chmod a+w $(distdir)
507         mkdir $(distdir)/_build
508         mkdir $(distdir)/_inst
509         chmod a-w $(distdir)
510         test -d $(distdir)/_build || exit 0; \
511         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
512           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
513           && am__cwd=`pwd` \
514           && $(am__cd) $(distdir)/_build \
515           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
516             $(DISTCHECK_CONFIGURE_FLAGS) \
517           && $(MAKE) $(AM_MAKEFLAGS) \
518           && $(MAKE) $(AM_MAKEFLAGS) dvi \
519           && $(MAKE) $(AM_MAKEFLAGS) check \
520           && $(MAKE) $(AM_MAKEFLAGS) install \
521           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
522           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
523           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
524                 distuninstallcheck \
525           && chmod -R a-w "$$dc_install_base" \
526           && ({ \
527                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
528                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
529                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
530                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
531                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
532               } || { rm -rf "$$dc_destdir"; exit 1; }) \
533           && rm -rf "$$dc_destdir" \
534           && $(MAKE) $(AM_MAKEFLAGS) dist \
535           && rm -rf $(DIST_ARCHIVES) \
536           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
537           && cd "$$am__cwd" \
538           || exit 1
539         $(am__remove_distdir)
540         @(echo "$(distdir) archives ready for distribution: "; \
541           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
542           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
543 distuninstallcheck:
544         @$(am__cd) '$(distuninstallcheck_dir)' \
545         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
546            || { echo "ERROR: files left after uninstall:" ; \
547                 if test -n "$(DESTDIR)"; then \
548                   echo "  (check DESTDIR support)"; \
549                 fi ; \
550                 $(distuninstallcheck_listfiles) ; \
551                 exit 1; } >&2
552 distcleancheck: distclean
553         @if test '$(srcdir)' = . ; then \
554           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
555           exit 1 ; \
556         fi
557         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
558           || { echo "ERROR: files left in build directory after distclean:" ; \
559                $(distcleancheck_listfiles) ; \
560                exit 1; } >&2
561 check-am: all-am
562 check: check-am
563 all-am: Makefile $(PROGRAMS) $(MANS) config.h
564 installdirs:
565         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
566           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
567         done
568 install: install-am
569 install-exec: install-exec-am
570 install-data: install-data-am
571 uninstall: uninstall-am
572
573 install-am: all-am
574         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
575
576 installcheck: installcheck-am
577 install-strip:
578         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
579           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
580           `test -z '$(STRIP)' || \
581             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
582 mostlyclean-generic:
583
584 clean-generic:
585
586 distclean-generic:
587         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
588         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
589
590 maintainer-clean-generic:
591         @echo "This command is intended for maintainers to use"
592         @echo "it deletes files that may require special tools to rebuild."
593 clean: clean-am
594
595 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
596
597 distclean: distclean-am
598         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
599         -rm -rf ./$(DEPDIR)
600         -rm -f Makefile
601 distclean-am: clean-am distclean-compile distclean-generic \
602         distclean-hdr distclean-tags
603
604 dvi: dvi-am
605
606 dvi-am:
607
608 html: html-am
609
610 html-am:
611
612 info: info-am
613
614 info-am:
615
616 install-data-am: install-man
617
618 install-dvi: install-dvi-am
619
620 install-dvi-am:
621
622 install-exec-am: install-binPROGRAMS
623
624 install-html: install-html-am
625
626 install-html-am:
627
628 install-info: install-info-am
629
630 install-info-am:
631
632 install-man: install-man1
633
634 install-pdf: install-pdf-am
635
636 install-pdf-am:
637
638 install-ps: install-ps-am
639
640 install-ps-am:
641
642 installcheck-am:
643
644 maintainer-clean: maintainer-clean-am
645         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
646         -rm -rf $(top_srcdir)/autom4te.cache
647         -rm -rf ./$(DEPDIR)
648         -rm -f Makefile
649 maintainer-clean-am: distclean-am maintainer-clean-generic
650
651 mostlyclean: mostlyclean-am
652
653 mostlyclean-am: mostlyclean-compile mostlyclean-generic
654
655 pdf: pdf-am
656
657 pdf-am:
658
659 ps: ps-am
660
661 ps-am:
662
663 uninstall-am: uninstall-binPROGRAMS uninstall-man
664
665 uninstall-man: uninstall-man1
666
667 .MAKE: all install-am install-strip
668
669 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
670         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
671         dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
672         distcheck distclean distclean-compile distclean-generic \
673         distclean-hdr distclean-tags distcleancheck distdir \
674         distuninstallcheck dvi dvi-am html html-am info info-am \
675         install install-am install-binPROGRAMS install-data \
676         install-data-am install-dvi install-dvi-am install-exec \
677         install-exec-am install-html install-html-am install-info \
678         install-info-am install-man install-man1 install-pdf \
679         install-pdf-am install-ps install-ps-am install-strip \
680         installcheck installcheck-am installdirs maintainer-clean \
681         maintainer-clean-generic mostlyclean mostlyclean-compile \
682         mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
683         uninstall-am uninstall-binPROGRAMS uninstall-man \
684         uninstall-man1
685
686
687 # Tell versions [3.59,3.63) of GNU make to not export all variables.
688 # Otherwise a system limit (for SysV at least) may be exceeded.
689 .NOEXPORT:
Contact me: dev (at) shalnoff (dot) com
PGP fingerprint: A6B8 3B23 6013 F18A 0C71 198B 83D8 C64D 917A 5717